using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
namespace norke
{
    public partial class ascx_producte : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                getHotDataList();//热卖产品
                getNewDataList();//最新上架
            }

        }
        private void getHotDataList()//推荐产品
        {
            DBConn myDB = new DBConn();
            string sql = "select top 6 * from Products where PCommend=1 order by PID desc";
            HDataList.DataSource = myDB.getDataReader(sql);
            HDataList.DataBind();
            myDB.Close();
        }
        private void getNewDataList()//最新上架
        {
            DBConn myDB = new DBConn();
            string sql = "select top 9 * from Products order by PID desc";
            NDataList.DataSource = myDB.getDataReader(sql);
            NDataList.DataBind();
            myDB.Close();
        }
    }
}
